{ pkgs
, lib
, config
, ... }:

let
  keys = import ../../../variables/keys.nix;

in {
  # TASK: new device
  networking.hostName = "CFB4ED74"; # Define your hostname.

  networking.firewall.enable = lib.mkForce false;

  # Kubernetes
  # services.kubernetes.roles = ["master" "node"];

  # virtualization
  virtualisation = {
    docker.enable = true;
  };

  services.spice-vdagentd.enable = true;
  services.qemuGuest.enable = true;

  networking.useDHCP = true;
  boot.initrd.network = {
    enable = true;
    udhcpc.extraArgs = [ "-x hostname:${config.networking.hostName}" ];

    ssh = {
      enable = true;
      authorizedKeys = keys.users.steveej.openssh;
    };
  };
}
